﻿using DistributedGA.Core.Domain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DistributedGA.Core.Interface
{
    public interface IMessageHandler
    {
        void Init(); //Registers at contract-server

        void PublishMigrationInfo(SolutionInfo[] population);

        SolutionInfo[] GetMigrationInfo();

        PeerInfo GetPeerInfo();

        List<PeerInfo> GetCurrentNetwork();
    }
}
